Bug 964146 - system-config-network doesnt support bond interfaces
system-config-network doesnt support bond interfaces
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 07:21 EDT by Mohammed Arafa
Modified: 2013-05-22 14:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 14:57:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2013-05-17 07:21:40 EDT
Description of problem:

system-config-network doesnt support bond interfaces

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.install 2 or more nics on your box
2.run system-config-network
3.
  
Actual results:
cannot configure bond0 via interface

Expected results:
configure bond0 via interface


Additional info:
Comment 1 Nils Philippsen 2013-05-21 11:43:18 EDT
We're keeping system-config-network around only as a stand-in until its functionality is completely covered in NetworkManager (nmcli/nm-connection-editor). I'm not sure if NM already can do that (I don't have a machine with two NICs around), therefore I'll change the component to NetworkManager for clarification.
Comment 2 Dan Williams 2013-05-22 14:57:17 EDT
NM has the ability to configure bond interfaces via nm-connection-editor, so this should be already implemented.  If there are still issues with the NM bonding functionality, lets file specific bugs for those.  nmcli will also soon grow the ability to set up bond masters and slaves.

Note You need to log in before you can comment on or make changes to this bug.